#pragma once

#include "detect.h"

//#define MACBETH				"data\\MacbethTmpl.bmp"
#define MACBETH				"data\\MacbethTmpl_v4.bmp"
#define M_ROTATE_STEP		180.0	// マクベスを回転探索する角度刻み（度）
#define M_PATCH_SIZE		10		// パッチの色を平均する領域サイズ
#define M_NUM_PATCH			24		// マクベス内パッチ数
//#define M_PATCH_SPACE		90		// パッチ間の距離（画素数, MacbethTmpl.bmpより計算）
#define M_PATCH_SPACE		68		// パッチ間の距離（画素数, MacbethTmpl_v2.bmpより計算）


class CDetectMacbeth :
	public CDetect
{
private:
	bool CalcPatchPosition(CvPoint pos, double angle);

public:
	CDetectMacbeth(void);
	~CDetectMacbeth(void);
	bool Init();
	bool Detect();
	bool CalcPatchColor9(CvMat **rgb);

};
